> ## Documentation Index
> Fetch the complete documentation index at: https://developers.fireblocks.com/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://developers.fireblocks.com/feedback

```json
{
  "path": "/api-reference/console-user/get-console-users",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# Get console users

> Get console users for your workspace.
- Please note that this endpoint is available only for API keys with Admin/Non Signing Admin permissions.
Endpoint Permission: Admin, Non-Signing Admin.



## OpenAPI

````yaml https://docs.fireblocks.com/api/v1/swagger.yaml get /management/users
openapi: 3.0.0
info:
  title: Fireblocks API
  description: >
    Fireblocks provides a suite of applications to manage digital asset
    operations and a complete development platform to build your business on the
    blockchain.


    - Visit our website for more information: [Fireblocks
    Website](https://fireblocks.com)

    - Visit our developer docs: [Fireblocks
    DevPortal](https://developers.fireblocks.com)
  version: 1.6.2
  contact:
    email: developers@fireblocks.com
servers:
  - url: https://api.fireblocks.io/v1
    description: Fireblocks Production Environment Base URL
  - url: https://sandbox-api.fireblocks.io/v1
    description: Fireblocks Sandbox Environment Base URL
security: []
paths:
  /management/users:
    get:
      tags:
        - Console User
      summary: Get console users
      description: >-
        Get console users for your workspace.

        - Please note that this endpoint is available only for API keys with
        Admin/Non Signing Admin permissions.

        Endpoint Permission: Admin, Non-Signing Admin.
      operationId: getConsoleUsers
      responses:
        '200':
          description: got console users
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetConsoleUsersResponse'
        '401':
          description: Unauthorized. Missing / invalid JWT token in Authorization header.
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '403':
          description: Lacking permissions.
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        5XX:
          description: Internal error.
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        default:
          $ref: '#/components/responses/Error'
      x-codeSamples:
        - lang: TypeScript
          source: >-
            const response: Promise<FireblocksResponse<GetConsoleUsersResponse>>
            = fireblocks.consoleUser.getConsoleUsers();
        - lang: Java
          source: >-
            CompletableFuture<ApiResponse<GetConsoleUsersResponse>> response =
            fireblocks.consoleUser().getConsoleUsers();
        - lang: Python
          source: response = fireblocks.console_user.get_console_users();
components:
  headers:
    X-Request-ID:
      schema:
        type: string
      description: >-
        Unique ID correlated to the API request. Please provide it in any
        support ticket you create or on Github issues related to Fireblocks SDKs
  schemas:
    GetConsoleUsersResponse:
      type: object
      properties:
        users:
          $ref: '#/components/schemas/ConsoleUsers'
      required:
        - users
    ErrorResponse:
      type: object
      properties:
        error:
          type: object
          properties:
            type:
              type: string
              enum:
                - INTERNAL
                - AUTHENTICATION
                - AUTHORIZATION
                - VALIDATION
                - NOT_FOUND
                - UNPROCESSABLE_ENTITY
                - FORBIDDEN
            message:
              type: string
          required:
            - type
            - message
      required:
        - error
    ConsoleUsers:
      type: array
      items:
        $ref: '#/components/schemas/ConsoleUser'
    ErrorSchema:
      type: object
      properties:
        message:
          type: string
        code:
          type: number
    ConsoleUser:
      type: object
      properties:
        id:
          $ref: '#/components/schemas/UserId'
        firstName:
          type: string
          description: The first name of the user
        lastName:
          type: string
          description: The last name of the user
        email:
          type: string
          description: The email address of the user
        role:
          $ref: '#/components/schemas/UserRole'
        enabled:
          $ref: '#/components/schemas/UserEnabled'
        status:
          $ref: '#/components/schemas/UserStatus'
        userType:
          $ref: '#/components/schemas/UserType'
    UserId:
      type: string
      description: The unique identifier of the user
    UserRole:
      type: string
      description: The role of the user
      enum:
        - OWNER
        - ADMIN
        - SIGNER
        - COLLATERALS_SIGNER
        - EDITOR
        - APPROVER
        - VIEWER
        - NON_SIGNING_ADMIN
        - AUDITOR
        - NCW_ADMIN
        - NCW_SIGNER
        - SECURITY_ADMIN
        - SECURITY_AUDITOR
    UserEnabled:
      type: boolean
      description: Whether the user is enabled
    UserStatus:
      type: string
      description: The status of the user
      enum:
        - PENDING_ACTIVATION
        - PENDING_DEVICE_PAIRING
        - PENDING_DEVICE_SETUP
        - READY
    UserType:
      type: string
      description: The type of the user
      enum:
        - API
        - CONSOLE
  responses:
    Error:
      description: Error Response
      headers:
        X-Request-ID:
          $ref: '#/components/headers/X-Request-ID'
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorSchema'

````